<template>
  <div class="left-slide">
    <el-menu
      class="el-menu-vertical-demo"
      :router="true"
      :default-active="activeIndex"
      @select="handleSelect"
      background-color="#1E222D"
      text-color="#C0C5CC"
      style="text-align: left; overflow: visible"
      :collapse="isCollapse"
      active-text-color="#FFFFFF"
    >
      <el-menu-item index="/Layout/Home" v-if="isShow('home')">
        <i class="iconfont">&#xe65b;</i>
        <span slot="title">首页</span>
      </el-menu-item>
      <el-submenu index="1">
        <template slot="title">
          <i class="iconfont">&#xe658;</i>
          <span>用户管理</span>
        </template>
        <el-menu-item-group>
          <el-menu-item index="/Layout/UserList">用户列表</el-menu-item>
        </el-menu-item-group>
      </el-submenu>

      <el-submenu index="2">
        <template slot="title">
          <i class="iconfont">&#xe655;</i>
          <span>订单管理</span>
        </template>
        <el-menu-item-group>
          <el-menu-item-group>
            <el-menu-item index="/Layout/OrderList">订单列表</el-menu-item>
          </el-menu-item-group>
        </el-menu-item-group>
      </el-submenu>

      <el-submenu index="3">
        <template slot="title">
          <i class="iconfont">&#xe657;</i>
          <span>运营管理</span>
        </template>
        <el-menu-item-group>
          <el-menu-item index="/Layout/BannerList">轮播图管理</el-menu-item>
          <el-menu-item index="/Layout/ModelList">产品管理</el-menu-item>
          <!-- <el-menu-item index="/Layout/ProductOpen">产品开通</el-menu-item> -->
        </el-menu-item-group>
      </el-submenu>

      <el-submenu index="4">
        <template slot="title">
          <i class="iconfont">&#xe656;</i>
          <span slot="title">应用管理</span>
        </template>
        <el-menu-item-group>
          <el-menu-item index="/Layout/EquipmentList">设备管理</el-menu-item>
        </el-menu-item-group>
      </el-submenu>

      <!-- <el-submenu index="4">
        <template slot="title">
          <i class="iconfont">&#xe65a;</i>
          <span>管理员报表</span>
        </template>
        <el-menu-item-group> </el-menu-item-group>
      </el-submenu>

      <el-submenu index="5">
        <template slot="title">
          <i class="iconfont">&#xe654;</i>
          <span>算法管理</span>
        </template>
        <el-menu-item-group> </el-menu-item-group>
      </el-submenu>

      <el-submenu index="6">
        <template slot="title">
          <i class="iconfont">&#xe656;</i>
          <span>应用管理</span>
        </template>
        <el-menu-item-group> </el-menu-item-group>
      </el-submenu> -->
    </el-menu>
  </div>
</template>
<script>
// import bus from "../main";
export default {
  created() {
    this.fetchAuthList();
  },
  data() {
    return {
      background: false,
      isCollapse: false,
      activeIndex: "/Layout/Home",
    };
  },
  methods: {
    fetchAuthList() {
      this.activeIndex = this.$route.path;
    },
    handleSelect(key) {
      this.activeIndex = key;
    },
    closeTree() {
      this.isCollapse = true;
    },
  },
};
</script>

<style lang="scss" scoped >
.left-slide {
  width: 200px !important;
  background: #1e222d;
  .el-menu ::v-deep {
    margin-top: 10px;
    border-right: 0;
    background: #1e222d !important;

    .single {
      padding-left: 10px !important;
    }
    .el-menu-item {
      margin: 0 10px;
      margin-bottom: 4px;
      height: 40px;
      line-height: 40px;
      font-size: 14px;
      background: #1e222d !important;
      border-radius: 3px;
      &.is-active {
        background-color: #0064ff !important;
      }
    }
    .el-submenu {
      .el-menu-item-group__title {
        display: none;
      }
      .el-submenu__title {
        margin-bottom: 4px;
        height: 40px;
        line-height: 40px;
      }

      .el-menu-item-group {
        margin-right: 10px;
        overflow: hidden;
        border-radius: 3px;
      }

      &.is-active {
        .el-menu-item-group__title,
        .el-menu-item.is-active {
          background-color: #0064ff !important;
        }
        .el-submenu__title {
          border-color: #fff;
        }
      }
    }

    .iconfont {
      font-size: 18px;
      margin-right: 10px;
    }
  }
}
</style>